************************************************************
* eHealth Business Connector Physiotherapist RELEASE NOTES *
************************************************************
4.8.6 (february 2026)
   . adding             .NET Framework 4.7.2 build

4.8.5 (february 2026)
   . bug-fix            remove following methods causing errors for .NET users:
                                  - JaxbContextFactory.getJaxbContextForPackage(Package p)
                                  - JaxbContextFactory.initJaxbContext(Package p)
                        adapt DaasAttributeService by using the JaxbContextFactory.getJaxbContextForClass method, in order to avoid the following error: "Unable to create jaxbContext for package be.fgov.ehealth.daas.complextype.v1"
   . bug-fix            .NET BeID module: avoid NullPointerException in BeIDDistributedSigner while iterating over BeIDDigests

4.8.4 release (october 2025)
   . improvement     two distinct versions of .NET packaging with IKVM 8.11.2: .NET Framework 4.8 and .NET 6.0
   . adding          asynchronous business service eAgreement v2
                        See examples in examples\be\ehealth\businessconnector\mycarenet\agreementasyncv2\session
   . deleting        business service MyCareNet Insurability V2

4.8.3 release (october 2025)
   . internal release

4.8.2 release (october 2025)
   . internal release

4.8.1 release (september 2025)
   . internal release

4.8.0-beta-1 release (june 2025)
   . change          .Net connector build with IKVM 8.11.2 and .NET 6.0

4.7.3 release (april 2025)
   . adding          synchronous business service eAgreement v2
                        See examples in examples\be\ehealth\businessconnector\mycarenet\agreementv2\session
   . bug-fix         TherLink eID proof: fix determination of cms signature algorithm

4.7.2 release (april 2025)
   . internal release

4.7.1 release (april 2025)
   . internal release

4.7.0 release (april 2025)
   . internal release

4.5.4 release (april 2024)
  . bug-fix         business connector eh2ebox and ehboxv3:
                        remove the text/plain or text/html restriction on the mime type of the message body, in order to be able to use other mime types for eH2eBox.  . improvement     update dependency minor versions, including org.apache.commons:commons-compress to v1.26.1 that fixes some security vulnerabilities: https://commons.apache.org/proper/commons-compress/security.html
  . improvement     update dependency minor versions, including org.apache.commons:commons-compress to v1.26.1 that fixes some security vulnerabilities: https://commons.apache.org/proper/commons-compress/security.html


4.5.3 release (april 2024)
   . internal release

4.5.2 release (april 2024)
   . internal release

4.5.1 release (april 2024)
   . internal release

4.5.0 release (april 2024)
   . internal release


4.3.0 release (april 2023)
   . improvement        Straight runtime compatibility up to JDK 15:
                            . Here are the Maven dependencies that have been added to the connector
                              for this purpose (in case of Java 8 they replace those provided by the JDK): 
                                             
                                    <dependency>
                                      <groupId>jakarta.xml.ws</groupId>
                                      <artifactId>jakarta.xml.ws-api</artifactId>
                                      <version>2.3.3</version>
                                    </dependency>
                                    <dependency>
                                      <groupId>com.sun.xml.ws</groupId>
                                      <artifactId>jaxws-rt</artifactId>
                                      <version>2.3.6</version>
                                      <scope>runtime</scope>
                                    </dependency>
                                    <dependency>
                                      <groupId>com.sun.xml.messaging.saaj</groupId>
                                      <artifactId>saaj-impl</artifactId>
                                      <version>1.3.28</version>
                                    </dependency>
                                    <dependency>
                                      <groupId>jakarta.xml.bind</groupId>
                                      <artifactId>jakarta.xml.bind-api</artifactId>
                                      <version>2.3.3</version>
                                    </dependency>
                                    <dependency>
                                      <groupId>com.sun.xml.bind</groupId>
                                      <artifactId>jaxb-impl</artifactId>
                                      <version>2.3.8</version>
                                    </dependency>
                                    
                            . For JDK 16 and up, the following VM options must be added, in order to access internal JDK classes:
   
                               --add-exports java.xml/com.sun.org.apache.xerces.internal.dom=ALL-UNNAMED
                               --add-exports java.xml/com.sun.org.apache.xerces.internal.util=ALL-UNNAMED
                               --add-exports java.xml/com.sun.org.apache.xerces.internal.jaxp=ALL-UNNAMED 
                               
    . improvement        default connector service calls to signature algorithm RSA-SHA-256
    . improvement        default STS to WS-Trust interface, in order to use by default the new version of SecurityTokenService,
                         which includes the latest hashing (SHA-256) and signing algorithms (RSA-SHA-256 / ECDSA-SHA-256).    
                         This change should be reflected in terms of sts endpoint config:
                         
                               endpoint.sts=$uddi{uddi:ehealth-fgov-be:business:iamsecuritytokenservice:v1}  
                               
   . deleting  business service Dics V3
   . deleting  business service MyCareNet eAttest V1

4.3.0-beta-3 release (december 2022)
    . bugfix          business service eAttest v3: the MessageVersion attribute specified in CancelAttestationRequestInput or SendAttestationRequestInput was not set by the connector in the Detail element,
                      leading to a service response containing the INVALID_MESSAGE_NAME error.
                      
    . bug-fix         Removal of the Sender element from common input (the presence of the Sender element, even if empty, may lead to the FORBIDDEN_COMMON_INPUT_ORIGIN_INPUT_SENDER MyCareNet error).               
        
                  
4.3.0-beta-2 release (december 2022)
   . internal release
   
    
4.2.0 release (october 2022)
  . improvement     business connector ehboxv3: align with WS Publication cookbook:
                       - For clarity, in the connector api DocumentMessage.document is renamed DocumentMessage.body.
                       - The connector now translates this body in the WS interface as EncryptableTextContent in the Document xml element (was translated as EncryptableBinaryContent).
                       - The MineType of the body must be text/plain or text/html.
                       - See the latest eHealtBox v.3 Publication WS cookbook for the full body specifications.

  . removing        business connector consultrn V1.

4.1.2 release (may 2022)
    . removing           
            synchronous business service therlink: remove proof type SISREADING 
            => method createProofForSisReading() removed from be.ehealth.businessconnector.therlink.builder.ProofBuilder interface.
    . improvement           
            synchronous business service dicsV5: update to latest xsd-dics (5.1.4)

4.1.1 release (may 2022)
   . internal release

4.1.0 release (may 2022)
   . internal release

4.0.2 release (october 2021)
   . adding
            - synchronous business service eAttest v3
              See examples in examples\be\ehealth\businessconnector\test\mycarenet\attestv3\session
              
   . improvement
            - eAgreement: add businessResponse field to get the business content of the response in a straightforward manner (see also release.notes.business-mycareneteagreement.txt).
            - use technical connector V4 (see release.notes.technical-core.txt, release.notes.technical-bootsrap.txt, release.notes.technical-jca.txt, release.notes.technical-ra.txt and release.notes.technical-signature.txt)
           
   . bugfix
            - ConsultRN v2 phonetic search: update xsd model to make possible a phonetic search without given names.
              See examples in examples\be\ehealth\businessconnector\test\consultrn\consultrnv2\session\ConsultrnSessionPersonServiceIntegrationTest
 
4.0.1 release (october 2021)
  . internal partner release (not published on ehealth portal only distributed to Recipe, Reseau Santé Wallon and Vitalink)
    
     
3.20.2 release (october 2020)
   . adding
            - synchronous business service eAgreement
              See examples in examples\be\ehealth\businessconnector\mycarenet\agreement\session
            - asynchronous business service eAgreement
              See examples in examples\be\ehealth\businessconnector\mycarenet\agreementasync\session

   .improvement
            - Person Service: update to xsd version 1.0.5
            - CBSS Person Service: update to xsd version 1.0.3
 
3.20.1 release (september 2020)
   . internal release
   
3.20.0 release (september 2020)
   . internal release
               
3.19.1 release (april 2020)
   . adding
            - synchronous business service ConsultRN v2 Person Service
            - synchronous business service ConsultRN v2 CBSS Person Service
            - synchronous business service DICS v5

   .improvement
            - new method for the business service DICSv4: findNonMedicinalProduct
            - new target groups for the business service MemberData Sync/Async: clinical psychologists + clinical orthopedagogist

3.19.0 release (april 2020)
   . internal release

3.18.0 release (october 2019)
   . adding:
            - synchronous business service MemberData v2

3.17.1 release (april 2019)
    . change:
            - business service intrahub v1: Support fort the ID-ENCRYPTION-KEY kmehr identifier. This identifier is meant to be added to the hcparty identifiers of the request for operations where the response must be encrypted.
              The ID-ENCRYPTION-KEY value contains the base64 encoded ETK of the sender.
              By default ID-ENCRYPTION-KEY is not added since service providers might not be compliant yet.
              To activate ID-ENCRYPTION-KEY the config property see migration.guide.persphysiotherapist.txt.           

3.17.0 release (april 2019)
 . internal release 
 
3.16.0 release (september 2018)
 . internal release 
             
3.15.1 release (april 2018)
   . adding:
            - new business service dicsv4
            - new business service consultrn (includes identifyPerson, phoneticSearch and managePerson.registerPerson)
            - new business service mediprimauma
            - new business service eh2ebox (included in the ehboxv3 module) 
            - new generic async business service genins (geninsasync module)

3.15.0 release (april 2018)
 . internal release
             
3.14.2 release (february 2017)
    . see    release.notes.business-intrahubv3.txt
    
3.14.2-beta-1 release (november 2017)

3.14.2-beta-0 internal release (november 2017)

3.14.1 release (octobre 2017)

3.14.0 release (octobre 2017)
   . deleting   business service mediprima
   
3.14.0-beta-0 release (september 2017)
   . adding    new business service intrahub v3
   . adding    new business service mediprima
   
3.13.1 release (july 2017)
   . adding    new business service intrahub

3.13.0 internal release (july 2017)

3.12.1 release (juin 2017)  
   . adding    new business service Dics V3
   . deleting  business service Dics V2

3.12.0 internal release (mai 2017)

3.11.1 release
  .  bugfix for dll incompatability in utilities-addressbook

3.11.0 internal release (october 2016)
  .  change    using latest version of technical connector 3.10.2
  .  adding    new business services addressbook, dics, dics v2 and facturation(invoicing)
  
3.10.4 release (september 2016)
  . using latest version of technical connector 3.10.4
  . using latest version of business connector 3.10.4
  
3.10.3 release
   . internal release
   
3.10.2 release (july 2016)
  . using latest version of technical connector 3.10.2
  . using latest version of business connector 3.10.2 
  
3.10.1 release
   . internal release

3.10.0 release (june 2016)
   . improvement      uniformisation of all connector versions
   
3.4.11 (may 2016)
  . internal partner release (not published on ehealth portal only distributed to Recipe, Reseau Santé Wallon and Vitalink)
 . change      uniformisation of release numbering 
 . adding      new business service addressbook
 . adding      bootstrap configurations for all business modules
 . change	   config properties splitted between sender and careprovider properties ( makes mandate configurations easier)
 
1.4.0 beta-1
  .   upgrade            technical connector version 3.4.0_beta-9
  .   upgrade            business connector 3.4.0-beta-9 

1.4.0 beta-0        
 .    adding             new business service consent
 .    adding             new business service therlink
 .    upgrade            technical connector version 3.4.0_beta-6
 .    upgrade            business connector version 3.4.0_beta-6

1.3.0 beta-4        
 .    upgrade            technical connector version 3.4.0_beta-4
 .    upgrade            business connector version 3.4.0_beta-4

1.3.0 beta-3        
 .    upgrade            technical connector version 3.4.0_beta-3
 .    upgrade            business connector version 3.4.0_beta-3
  

1.3.0 beta-0
 . upgrade            technical connector version 3.4.0_beta-2
 . adding           new business service genins
 
1.2.0 beta-1
 . upgrade            technical connector version 3.4.0_beta-1
 
1.2.0 beta-0
 . upgrade            technical connector version 3.4.0_beta-0

1.1.1
 . upgrade          version IKVM

1.1.0 
 . upgrade            technical connector version 3.3.0
 
1.1.0 beta-3 
. upgrade            technical connector version 3.3.0_beta-3
1.1.0 beta release
 . upgrade                            new techincl connector v3.3.0_beta-1

1.0.0 beta release
 . adding                            new business service ehbox v3
 . adding                            new technical connector
